from os import environ

# if you set a property in SESSION_CONFIG_DEFAULTS, it will be inherited by all configs
# in SESSION_CONFIGS, except those that explicitly override it.
# the session config can be accessed from methods in your apps as self.session.config,
# e.g. self.session.config['participation_fee']

#### WB MTURK / session config MTurk           #########################

mturk_hit_settings = {
    'keywords': ['Survey', 'Game', 'Demographics'], # Questionnaire démographique #'Questionnaire', 'Français'
    'title': 'Survey (gain $3.0, duration 7 min)',# Questionnaire démographique
    'description': 'You can earn up to $3.0 in approximately 7 minutes.', # Questionnaire démographique:  Gain de $0.60 pour une durée de 1 minute.
    'frame_height': 500,
    'template': 'global/mturk_template.html',
    'minutes_allotted_per_assignment': 60,
    'expiration_hours': 7*24, # 7 days
#    'grant_qualification_id': '3O3C52ZQEUFOKIZH0662Y397HAFSHV',#  Mturk reel Exp G-J            ###to prevent retakes
#    'grant_qualification_id': '3ZSPHI510NGVHARBJTEPE3ECGE6IJ2',  # Sandbox Exp G-J
     'grant_qualification_id': '3IMKSS0I9C91UAW9OSPZY1N2EAQW6A' , # Mturk exp Covid
#     'grant_qualification_id': '3LKGAM13UYJQHAONM1Z1QYBBX0W7ES', # Sandbox exp Covid

#    'grant_qualification_id': '3C2W12C2LIJHOP5OLGDWR8T1PGZURB',#  Mturk reel Exp Ines
#    'grant_qualification_id': '3MTUBPNNZX0I8DMRLCRIX5T88L6XMM',  # Sandbox Exp Ines

    'qualification_requirements': [
        {
            'QualificationTypeId': "00000000000000000071",  # que pour expé Ines ##### workers from the US, 00000000000000000071 is the code for a location-based qualification
            'Comparator': "EqualTo",
#            'LocaleValues': [{'Country': "FR"}]
            'LocaleValues': [{'Country': "US"}]
        },

        {
#           'QualificationTypeId': "3O3C52ZQEUFOKIZH0662Y397HAFSHV", #  Mturk reel Exp G-J            ###To prevent a worker from participating in your study twice
#           'QualificationTypeId': "3ZSPHI510NGVHARBJTEPE3ECGE6IJ2", # Sandbox Exp G-J
#            'QualificationTypeId': '3C2W12C2LIJHOP5OLGDWR8T1PGZURB',#  Mturk reel Exp Ines
#           'QualificationTypeId': '3MTUBPNNZX0I8DMRLCRIX5T88L6XMM',  # Sandbox Exp Ines
            'QualificationTypeId': '3IMKSS0I9C91UAW9OSPZY1N2EAQW6A', # Mturk exp Covid
#            'QualificationTypeId':'3LKGAM13UYJQHAONM1Z1QYBBX0W7ES', # Sandbox exp Covid

            'Comparator': "DoesNotExist",
        }

]
          }
#############################################################################
SESSION_CONFIG_DEFAULTS = {
    'real_world_currency_per_point': 0.001,# 0.001 pour exp realeffort et exp covid sinon = 1
    'participation_fee': 0,# 0.5 # 0 Expé police
    'doc': "",
    'mturk_hit_settings': mturk_hit_settings,
}
#############################################################################
SESSION_CONFIGS = [


    dict(
        name='exp_e4c_final_FR',
        display_name='exp_e4c_final_FR',
        num_demo_participants=2,
        app_sequence=['exp_e4c_fr_questionnaire_v2',
                      'exp_e4c_fr_risk_gneezy_v2',
                      'exp_e4c_fr_risk_binswanger_v2',
                      'exp_e4c_fr_risk_gneezy_v2_end',
                      'exp_e4c_fr_questionnaire_final_v2'],
    ),

    dict(
        name='exp_e4c_final_EN',
        display_name='exp_e4c_final_EN',
        num_demo_participants=2,
        app_sequence=['exp_e4c_en_questionnaire_v2',
                      'exp_e4c_en_risk_gneezy_v2',
                      'exp_e4c_en_risk_binswanger_v2',
                      'exp_e4c_en_risk_gneezy_v2_end',
                      'exp_e4c_en_questionnaire_final_v2'],
    ),



]

# ISO-639 code
# for example: de, fr, ja, ko, zh-hans
LANGUAGE_CODE = 'en'      #en                    # 'fr'  pour Exp Mindfullness et exp police

# e.g. EUR, GBP, CNY, JPY
REAL_WORLD_CURRENCY_CODE = 'USD'              # EUR pour Exp Mindfullness
USE_POINTS = True # False

ROOMS = [
    dict(
        name="labeds",
        display_name="labeds",
        participant_label_file="_rooms/labeds.txt"
    ),
]

#ADMIN_USERNAME = 'admin'
ADMIN_USERNAME = 'wael bousselmi'
# for security, best to set admin password in an environment variable
ADMIN_PASSWORD = environ.get('OTREE_ADMIN_PASSWORD')


DEMO_PAGE_INTRO_HTML = """
Here are some oTree games.
"""

# don't share this with anybody.
SECRET_KEY = 'nm5eaornndp(_0bt_64k+03(-f-n%4bir_+==$8i7&-o$th2@)'

INSTALLED_APPS = ['otree']


AWS_ACCESS_KEY_ID = environ.get('AWS_ACCESS_KEY_ID')
AWS_SECRET_ACCESS_KEY = environ.get('AWS_SECRET_ACCESS_KEY')











